#! /usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=fastapi

# tests/test_default_response_class.py -> ModuleNotFoundError: No module named 'orjson'
# tests/test_tutorial/test_custom_response/test_tutorial009c.py -> ModuleNotFoundError: No module named 'orjson'
# test_get_custom_response -> AssertionError: orjson must be installed to use ORJSONResponse
# test_orjson_non_str_keys -> AssertionError: orjson must be installed to use ORJSONResponse
# tests/test_tutorial/test_security/test_tutorial005* -> ModuleNotFoundError: No module named 'jose'
# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
# test_dependency_gets_exception -> https://github.com/tiangolo/fastapi/discussions/9934
# test_path_operation_img -> needs a file in the doc/ dir, not available during autopkgtests
export PYBUILD_TEST_ARGS=-W ignore::DeprecationWarning --ignore=docs_src/ --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k " not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys and not test_dependency_gets_exception and not test_path_operation_img"

%:
	dh $@ --with python3 --buildsystem=pybuild
